###############################################################################
# Copyright (c) 2000-2025 Ericsson Telecom AB
# All rights reserved. This program and the accompanying materials
# are made available under the terms of the Eclipse Public License v2.0
# which accompanies this distribution, and is available at
# https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html
#
# Contributors:
#   Balasko, Jeno
#   Szabados, Kristof
#
###############################################################################
[DEFINE]
many_F := "FFFF"
some_F := "FF"
identifier := "Monday"
module := module
/*akarmi*/
create := "create"
result := "true"

[MODULE_PARAMETERS]
m_float1 := 1.0
m_boolean1 := ${result, boolean}
m_days := ${identifier, identifier}
m_string1 := $string
m_integer1 := 1
m_bitstring1 := '00001111'B
m_hexstring1 := ${many_F, hexstring}
m_octetstring1 := ${many_F, octetstring}
m_env_test := $env_test
ttcn_keyword1 := $module
ttcn_keyword2 := ${create, charstring}
m_array1 := {
    {1, 1},
    {2, 2},
    {3, 3},
-}
m_array2 := {
    {1, 1},
    {2, 2},
    {3, 3},
    {4, 4}
}

[INCLUDE]
"included1.cfg"
"included2.cfg"
//testing if configs from other directories can be included
"subdir/subdir_config.cfg"
"included1.cfg"
//testing if the same file can be included several times

[EXECUTE]
erc.control

//saved by GUI
